/***********************************************************************
*
* Copyright (c) 2021-2022 Barbara Geller and Ansel Sermersheim
*
* This example is free software, released under the BSD 2-Clause license.
* For license details refer to LICENSE provided with this project.
*
* CopperSpice is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*
* https://opensource.org/licenses/BSD-2-Clause
*
***********************************************************************/

#include <QtCore>
#include <QtGui>

class MainWindow : public QWidget
{
 public:
   MainWindow();
   void setColor();
};

MainWindow::MainWindow()
{
   setMinimumSize(700, 350);

   // show two buttons
   QPushButton *pb_1 = new QPushButton();
   pb_1->setText("Show Colors");

   QPushButton *pb_2 = new QPushButton();
   pb_2->setText("Close");

   QHBoxLayout *layout = new QHBoxLayout(this);
   layout->addStretch();
   layout->addWidget(pb_1);
   layout->addSpacing(10);
   layout->addWidget(pb_2);
   layout->addStretch();

   QObject::connect(pb_1, &QPushButton::clicked, this, &MainWindow::setColor );
   QObject::connect(pb_2, &QPushButton::clicked, this, &QWidget::close);
}

void MainWindow::setColor()
{
   QColor color;
   color = QColorDialog::getColor(Qt::green, this);
}

int main(int argc, char *argv[])
{
   QApplication app(argc, argv);

   MainWindow *window = new MainWindow();
   window->show();

   return app.exec();
}
